---
title: New REST API is in open beta!
description: We've released a new REST API in open beta.
image: https://developers.cloudflare.com/changelog-preview.png
---

> Documentation Index  
> Fetch the complete documentation index at: https://developers.cloudflare.com/changelog/llms.txt  
> Use this file to discover all available pages before exploring further. 

[Skip to content](#%5Ftop) 

# Changelog

New updates and improvements at Cloudflare.

[ Subscribe to RSS ](https://developers.cloudflare.com/changelog/rss/index.xml) [ View RSS feeds ](https://developers.cloudflare.com/fundamentals/new-features/available-rss-feeds/) 

![hero image](https://developers.cloudflare.com/_astro/hero.CVYJHPAd_26AMqX.svg) 

[ ← Back to all posts ](https://developers.cloudflare.com/changelog/) 

## New REST API is in open beta!

Feb 27, 2025 

[ Browser Run ](https://developers.cloudflare.com/browser-run/) 

We've released a new REST API for [Browser Rendering](https://developers.cloudflare.com/browser-run/) in open beta, making interacting with browsers easier than ever. This new API provides endpoints for common browser actions, with more to be added in the future.

With the **REST API** you can:

* **Capture screenshots** – Use `/screenshot` to take a screenshot of a webpage from provided URL or HTML.
* **Generate PDFs** – Use `/pdf` to convert web pages into PDFs.
* **Extract HTML content** – Use `/content` to retrieve the full HTML from a page. **Snapshot (HTML + Screenshot)** – Use `/snapshot` to capture both the page's HTML and a screenshot in one request
* **Scrape Web Elements** – Use `/scrape` to extract specific elements from a page.

For example, to capture a screenshot:

Screenshot example

```
curl -X POST 'https://api.cloudflare.com/client/v4/accounts/<accountId>/browser-rendering/screenshot' \  -H 'Authorization: Bearer <apiToken>' \  -H 'Content-Type: application/json' \  -d '{    "html": "Hello World!",    "screenshotOptions": {      "type": "webp",      "omitBackground": true    }  }' \  --output "screenshot.webp"
```

Learn more in our [documentation](https://developers.cloudflare.com/browser-run/quick-actions/).

```json
{"@context":"https://schema.org","@type":"BlogPosting","@id":"https://developers.cloudflare.com/changelog/post/2025-02-27-br-rest-api-beta/#page","headline":"New REST API is in open beta! · Changelog","description":"We've released a new REST API in open beta.","url":"https://developers.cloudflare.com/changelog/post/2025-02-27-br-rest-api-beta/","inLanguage":"en","image":"https://developers.cloudflare.com/changelog-preview.png","dateModified":"2025-02-27","datePublished":"2025-02-27","publisher":{"@type":"Organization","name":"Cloudflare","url":"https://www.cloudflare.com/"},"isPartOf":{"@type":"WebSite","@id":"https://developers.cloudflare.com/#website","name":"Cloudflare Docs","url":"https://developers.cloudflare.com/"}}
```
